> For the complete documentation index, see [llms.txt](https://api-docs.roundhr.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.roundhr.com/round-api/api-reference/application-form/apply.md).

# 지원

## 지원자 지원

<mark style="color:green;">`POST`</mark> `https://api.roundhr.com/v1/application_forms/{code}/apply`

지원자가 지원서 페이지를 통해 직접 지원할 시 사용합니다.

#### 요청 예제

```bash
curl --request 'POST' \
     --url 'https://api.roundhr.com/v1/application_forms/{code}' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer MY_API_KEY'
     --data '{
          "name": "김라운",
          "email": "test-google@gmail.com",
          "resume_path": "/upload/candidate/file/2/temp/resume.pdf"
        }'
```

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Body**

<table><thead><tr><th width="129">Name</th><th width="93">Type</th><th width="149">필수</th><th width="189">Description</th><th>parameter type</th></tr></thead><tbody><tr><td>name</td><td>string</td><td><code>required</code></td><td>지원자 이름</td><td>body</td></tr><tr><td>email</td><td>string</td><td><code>required</code></td><td>지원자 이메일</td><td>body</td></tr><tr><td>phone</td><td>string</td><td><code>required</code></td><td>지원자 연락처</td><td>body</td></tr><tr><td>resume_path</td><td>string</td><td><code>required</code></td><td>지원자 이력서 URL</td><td>body</td></tr><tr><td>privacy</td><td>boolean</td><td><code>optional</code></td><td>개인정보 선택 항목 수집/이용 동의</td><td>body</td></tr><tr><td>questions</td><td>object[]</td><td><code>optional</code></td><td>설정한 지원서 질문 목록에 대한 답변</td><td>body</td></tr></tbody></table>

{% hint style="info" %}
resume\_path 의 경우 upload api 를 통해 파일 업로드 후 업로드한 file\_url 의 path 부분을 입력해 주시면 됩니다.
{% endhint %}

**Body - questions**

지원서 상세 API 요청 후 응답받은 결과의 questions 항목 참고하여 아래 question id 와 kind 데이터 입력 바랍니다.

<table><thead><tr><th width="129">Name</th><th width="93">Type</th><th width="149">필수</th><th width="189">Description</th><th>parameter type</th></tr></thead><tbody><tr><td>id</td><td>int</td><td><code>required</code></td><td>question id</td><td>body</td></tr><tr><td>kind</td><td>string</td><td><code>required</code></td><td>question kind</td><td>body</td></tr><tr><td>answer</td><td>object</td><td><code>required</code></td><td>질문에 대한 지원자의 답변</td><td>body</td></tr></tbody></table>

예제

```
questions: [
   {
      "id": 1,
      "kind": "gender",
      "answer": { "gender": "male" }
   }
]
```

**Body - answers**

질문 kind 에 따라 답변 포맷이 달라집니다.

* kind: gender

<table><thead><tr><th width="129">Name</th><th width="93">Type</th><th width="149">필수</th><th width="189">Description</th><th>parameter type</th></tr></thead><tbody><tr><td>gender</td><td>string</td><td><code>required</code></td><td>성별</td><td>body</td></tr></tbody></table>

```
// 예제
"answer": { "gender": "male" }
```

* kind: birth

<table><thead><tr><th width="129">Name</th><th width="93">Type</th><th width="149">필수</th><th width="189">Description</th><th>parameter type</th></tr></thead><tbody><tr><td>birth</td><td>string</td><td><code>required</code></td><td>생년월일</td><td>body</td></tr></tbody></table>

```
// 예제
"answer": { "birth": "2000-10-10" }
```

* kind: military\_service

<table><thead><tr><th width="129">Name</th><th width="93">Type</th><th width="149">필수</th><th width="189">Description</th><th>parameter type</th></tr></thead><tbody><tr><td>checked</td><td>boolean</td><td><code>required</code></td><td>병역이행 여부</td><td>body</td></tr><tr><td>military_service_status</td><td>string</td><td><code>optional</code></td><td><ul><li>군필: complete</li><li>미필: incomplete</li><li>면제: exemption</li><li>복무중: in_service</li></ul></td><td>body</td></tr></tbody></table>

```
// 예제
"answer": { "checked": true, "military_service_status": "complete" }

// 대상 아닐 경우
"answer": { "checked": false }
```

* kind: veteran\_affair

<table><thead><tr><th width="129">Name</th><th width="93">Type</th><th width="149">필수</th><th width="189">Description</th><th>parameter type</th></tr></thead><tbody><tr><td>checked</td><td>boolean</td><td><code>required</code></td><td>보훈대상 여부</td><td>body</td></tr><tr><td>veteran_affair_code</td><td>string</td><td><code>optional</code></td><td>보훈 번호<br>- 포맷: 00-000000</td><td>body</td></tr></tbody></table>

```
// 예제
"answer": { "checked": true, "veteran_affair_code": "10-101010" }
```

* kind: disability

<table><thead><tr><th width="129">Name</th><th width="93">Type</th><th width="149">필수</th><th width="189">Description</th><th>parameter type</th></tr></thead><tbody><tr><td>checked</td><td>boolean</td><td><code>required</code></td><td>장애 여부</td><td>body</td></tr><tr><td>disability_type</td><td>string</td><td><code>optional</code></td><td>장애 타입</td><td>body</td></tr><tr><td>disability_severity</td><td>string</td><td><code>optional</code></td><td>장애 정도: 경증, 중증<br>- 경증: mild<br>- 중증: serious</td><td>body</td></tr></tbody></table>

```
// 예제
"answer": { 
    "checked": true,
    "disability_type": "physical_disability",
    "disability_severity": "mild"
}
```

* kind: text, textarea, dropdown, radio, date\_type

<table><thead><tr><th width="129">Name</th><th width="93">Type</th><th width="149">필수</th><th width="189">Description</th><th>parameter type</th></tr></thead><tbody><tr><td>value</td><td>string</td><td><code>required</code></td><td>단답형, 장문형, 드롭다운, 라디오 타입, 날짜형 질문에 대한 답변</td><td>body</td></tr></tbody></table>

```
// 예제
"answer": { "value": "단답형 질문 답변" }
```

* kind: checkbox

<table><thead><tr><th width="129">Name</th><th width="93">Type</th><th width="149">필수</th><th width="189">Description</th><th>parameter type</th></tr></thead><tbody><tr><td>values</td><td>string[]</td><td><code>required</code></td><td>체크박스 질문에 대한 답변</td><td>body</td></tr></tbody></table>

```
// 예제
"answer": { "values": ["option1", "option2"] }
```

* kind: link

<table><thead><tr><th width="129">Name</th><th width="93">Type</th><th width="149">필수</th><th width="189">Description</th><th>parameter type</th></tr></thead><tbody><tr><td>links</td><td>string[]</td><td><code>required</code></td><td>링크형 질문에 대한 답변</td><td>body</td></tr></tbody></table>

```
// 예제
"answer": { "links": ["https://website1.com", "https://website2.com"] }
```

* kind: file\_upload

<table><thead><tr><th width="129">Name</th><th width="93">Type</th><th width="149">필수</th><th width="189">Description</th><th>parameter type</th></tr></thead><tbody><tr><td>links</td><td>string[]</td><td><code>required</code></td><td>파일업로드형 질문에 대한 답변</td><td>body</td></tr></tbody></table>

```
// 예제
"answer": { "links": ["/upload/candidate/file/1/temp/file1.pdf", "/upload/candidate/file/1/temp/file2.pdf"] }
```

{% hint style="info" %}
파일업로드의 links 답변의 경우 upload api 를 통해 파일 업로드 후 업로드한 file\_url 의 path 부분을 입력해 주시면 됩니다.

[파일 업로드 API 바로가기](/round-api/api-reference/files/upload.md)
{% endhint %}

**응답 예제**

지원한 지원자의 기본 정보를 반환합니다.

{% tabs %}
{% tab title="200" %}

```json
{
   "resource":{
      "code": "w3NfSD7FsY",
      "name": "김라운",
      "email": "test-google@gmail.com",
      "phone": "010-1234-1234",
      "duplicate": false,
      "birth": null,
      "privacy": false,
      "resume_path": "/resume.pdf",
      "applied_at": "2024-06-01T00:00:00+09:00",
      "created_at": "2024-06-01T00:00:00+09:00",
      "updated_at": "2024-06-01T00:00:00+09:00"
   }
}
```

{% endtab %}
{% endtabs %}
